// Liste aller <p>-Elemente im "main"
const mainPs = document.querySelectorAll("main p");
// console.log(mainPs);

// das <div>, in dem der Inhalt der angeklickten <p>s gezeigt wird
const result = document.querySelector("#result");

function textAusgabe(ereignis) {
  // der angeklickte Text wird in Variable "clickText" gespeichert
  let clickText = ereignis.currentTarget.textContent;

  // das <div> mit der ID "result" bekommt als Text den Inhalt der Variable "clickText"
  result.textContent = clickText;

  // ein vorher angeklicktes <p> wird die Klasse "angeklickt" entfernt
  const angeklickt = document.querySelector(".angeklickt");
  if (angeklickt) {
    angeklickt.classList.remove("angeklickt");
  }

  // das gerade angeklickte <p> bekommt die Klasse "angeklickt" und wird damit rot
  ereignis.currentTarget.classList.add("angeklickt");
}

// Clickt man auf eines der <p>-Elemente, wird die Funktion "textAusgabe" gestartet
mainPs.forEach(function (ereignis) {
  ereignis.addEventListener("click", textAusgabe);
});
